Subject: Re: Some issues to resolve with XFree 4.0 yet

From: David Edelsohn <[email-masked]>
Date: Mon, 27 Mar 2000 15:01:20 -0500

>>>>> Ani Joshi writes:

Ani> So does this mean all drivers (atyfb, aty128fb, xpmac to name a few) which
Ani> use method "b" should change to "a"?

	In general, I think that it is recommended that inline assembly
use exact constraints and not "memory".  "memory" clobber is intended for
inlined assembly implementing something like memcpy().  Even the GCC
inline asm tutorial from April 1988 uses "=m" constraints which are not
referenced in the output template.  For a more definitive statement, I
think that you should ask on the [email-masked] mailinglist.

David

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/